Name:		kvirustotal
Version:	0.30.0
Release:	%mkrel 5
Summary:	An online-based anti-virus and anti-phishing tool

Group:		File tools
License:	GPLv3
URL:		http://kde-apps.org/content/show.php?content=139065

Source0:	http://kde-apps.org/CONTENT/content-files/139065-%{name}-%{version}.tar.bz2
Patch0:		kvirustotal-0.30.0-mga-fix_libcrypto_path.diff 

BuildRequires:	qt4-devel
BuildRequires:	cmake
BuildRequires:	kdebase4-devel
BuildRequires:	kdebase4-workspace-devel
BuildRequires:	qjson-devel

%description
KVirusTotal is an online-based anti-virus and anti-phishing tool. 
It allows you to submit files that will be analyzed by more than 
40 up-to-dated anti-virus. Besides, it will accept URLs that will 
be tested against the main anti-phishing systems.

%prep
%setup -qn %{name}-%{version}
%patch0 -p1

%build
%cmake_kde4 
%make 

%install

%__mkdir -p $RPM_BUILD_ROOT%{_bindir}
%__cp -a $RPM_BUILD_DIR/%{name}-%{version}/build/%{name} $RPM_BUILD_ROOT%{_bindir}/%{name}
%__mkdir -p $RPM_BUILD_ROOT%{_libdir}/
%__cp -a $RPM_BUILD_DIR/%{name}-%{version}/build/lib/*.a $RPM_BUILD_ROOT%{_libdir}/
%__mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale/es/LC_MESSAGES/
%__cp -a $RPM_BUILD_DIR/%{name}-%{version}/build/translations/es.gmo $RPM_BUILD_ROOT%{_datadir}/locale/es/LC_MESSAGES/kvirustotal.mo
%__mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale/de/LC_MESSAGES/
%__cp -a $RPM_BUILD_DIR/%{name}-%{version}/build/translations/de.gmo $RPM_BUILD_ROOT%{_datadir}/locale/de/LC_MESSAGES/kvirustotal.mo
%__mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale/it/LC_MESSAGES/
%__cp -a $RPM_BUILD_DIR/%{name}-%{version}/build/translations/it.gmo $RPM_BUILD_ROOT%{_datadir}/locale/it/LC_MESSAGES/kvirustotal.mo
%__mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale/cs/LC_MESSAGES/
%__cp -a $RPM_BUILD_DIR/%{name}-%{version}/build/translations/cs.gmo $RPM_BUILD_ROOT%{_datadir}/locale/cs/LC_MESSAGES/kvirustotal.mo
%__mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale/hu/LC_MESSAGES/
%__cp -a $RPM_BUILD_DIR/%{name}-%{version}/build/translations/hu.gmo $RPM_BUILD_ROOT%{_datadir}/locale/hu/LC_MESSAGES/kvirustotal.mo
%__mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale/ru/LC_MESSAGES/
%__cp -a $RPM_BUILD_DIR/%{name}-%{version}/build/translations/ru.gmo $RPM_BUILD_ROOT%{_datadir}/locale/ru/LC_MESSAGES/kvirustotal.mo
%__mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
%__cp -a $RPM_BUILD_DIR/%{name}-%{version}/resources/%{name}-logo.png $RPM_BUILD_ROOT%{_iconsdir}/
%__mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Exec=kvirustotal
OnlyShowIn=KDE;
Type=Application
Terminal=false
Icon=%{_iconsdir}/%{name}-logo.png
GenericName=Online antivirus and anti-phishing tool
GenericName[cs]=Internetový antivirový a anti-pishingový nástroj
GenericName[de]=Online Antivirus und Anti-Pishing Werkzeug
GenericName[es]=Herramienta online de antivirus y anti-phising
GenericName[hu]=Online antivírus és anti-phishing program
GenericName[it]=Antivirus in linea e protezione anti-phishing
GenericName[ru]=Онлайн-антивирус и антифишинг
Name=KVirustotal
X-DBUS-StartupType=Unique
X-KDE-StartupNotify=false
X-KDE-autostart-after=panel
Categories=Qt;KDE;Utility;
EOF
%__mkdir -p $RPM_BUILD_ROOT%{_kde_services}/ServicesMenus
%__cp -a $RPM_BUILD_DIR/%{name}-%{version}/%{name}_servicemenu.desktop $RPM_BUILD_ROOT%{_kde_services}/ServicesMenus/


%files
%defattr(755,root,root)
%{_bindir}/%{name}
%{_libdir}/*.a
%{_iconsdir}/*
%{_datadir}/applications/*
%{_kde_services}/ServicesMenus/*
%{_datadir}/locale/es/LC_MESSAGES/*
%{_datadir}/locale/de/LC_MESSAGES/*
%{_datadir}/locale/it/LC_MESSAGES/*
%{_datadir}/locale/cs/LC_MESSAGES/*
%{_datadir}/locale/hu/LC_MESSAGES/*
%{_datadir}/locale/ru/LC_MESSAGES/*


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-5.mga5
+ Revision: 748427
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-4.mga5
+ Revision: 681242
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-3.mga4
+ Revision: 506780
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 356577
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 14 2012 juancho <juancho> 0.30.0-1.mga3
+ Revision: 260621
- Added missing BR qjson-devel
- Removed the .. on the cmake macro as it isn't needed

  + vaci0 <vaci0>
    - Fix icon path in .desktop
    - imported package kvirustotal

